(function ($) {
  Drupal.behaviors.didThisHelp = {
    attach: function(context, settings) {
      $('.did-this-help .yes', context).once('click').click(function(e) {
        e.stopPropagation();

        var values = {
          nid: $('.did-this-help input[name=nid]').val(),
          choice: 'Yes',
          choice_no: '',
          message: ''
        };

        $.ajax({
          method: "GET",
          url: 'did-this-help',
          data: values,
        });

        $('.did-this-help .yes').hide();
        $('.did-this-help .no').hide();
        $('.did-this-help .question').hide();
        $('.did-this-help .no-choice-rapper').hide();
        $('.did-this-help .greeting').show();
      });

      $('.did-this-help .no', context).once('click').click(function(e) {
        e.stopPropagation();
        $('.did-this-help .no-choice-wrapper').toggle();
      });

      $('.did-this-help .no-choice-list li .answer-title', context).once('click').click(function(e) {
        e.stopPropagation();
        $('.did-this-help .no-choice-list li').removeClass('selected');
        $(this).parent().addClass('selected');
        $('.did-this-help .form-item-message').appendTo($(this).parent()).show();
        $('.did-this-help .message-description').appendTo($(this).parent()).show();
        $('.did-this-help .form-submit').appendTo($(this).parent()).show();
        $('.did-this-help .form-item-message textarea').focus();
      });

      $('.did-this-help', context).once('submit').submit(function(e) {
        e.preventDefault();
        e.stopPropagation();

        var values = {
          nid: $('.did-this-help input[name=nid]').val(),
          choice: 'No',
          choice_no: $('.did-this-help ul li.selected .answer-title').text(),
          message: $('.did-this-help textarea').val()
        };

        $.ajax({
          method: "GET",
          url: 'did-this-help',
          data: values,
        });

        $('.did-this-help .yes').hide();
        $('.did-this-help .no').hide();
        $('.did-this-help .question').hide();
        $('.did-this-help .no-choice-wrapper').hide();
        $('.did-this-help .greeting').show();
      });
    }
  };

  $(document).ready(function() {
    $('body').click(function() {
      $('.no-choice-wrapper').hide();
    });
  });
}(jQuery));
